#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=amchitka2.49_base.ps
projection=-JM16.0c+
region=-R178.2/180.1/50.6/51.9
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map amchitka2.49' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/ETOPO1_Bed_g_gmt4.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    51.113   178.979
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    51.249   180.042
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    51.129   178.758
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    51.160   178.731
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    51.123   178.620
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    51.133   178.679
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    50.913   178.684
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    50.925   178.561
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    51.221   179.607
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    51.176   179.173
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    50.937   179.353
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    51.305   179.289
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    50.934   178.468
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    51.077   178.803
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    50.984   178.520
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    51.440   179.201
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    51.667   179.884
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    50.857   178.561
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    51.408   179.167
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    51.479   179.109
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    50.987   178.945
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    50.952   178.919
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    50.953   178.877
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    51.398   179.481
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    51.000   179.009
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    51.152   179.080
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    51.038   179.465
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    51.055   179.454
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    50.681   179.204
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    51.004   179.596
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    51.071   178.842
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    51.079   179.021
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    51.023   178.808
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    51.098   179.096
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    51.058   179.372
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    51.045   179.357
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    51.133   178.762
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    51.138   179.241
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    51.037   179.136
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    51.219   179.776
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    51.129   179.317
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    51.090   178.745
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    51.022   178.888
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    51.039   178.876
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    51.084   178.848
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    51.000   178.777
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    51.009   178.922
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    51.029   178.939
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    51.157   179.568
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    51.222   179.430
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    51.073   179.513
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    51.105   179.495
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    51.040   179.430
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    51.137   179.577
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    51.071   178.982
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    51.091   178.867
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    51.058   179.094
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    50.977   178.988
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    51.189   178.901
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    51.055   179.564
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    51.059   179.642
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    51.187   178.767
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    51.057   179.458
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    51.107   179.437
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    51.069   178.673
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    50.928   178.900
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    51.226   178.812
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    51.151   179.592
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    51.018   179.580
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    51.127   179.480
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    51.126   179.327
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    51.005   178.816
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    51.144   179.287
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    50.960   178.362
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    50.949   178.545
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    50.959   178.520
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    50.960   178.496
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.273   178.936
    51.274   178.936
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.410   179.054
    51.113   178.979
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.274   178.936
    51.113   178.979
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.411   179.999
    51.410   180.000
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.378   179.983
    51.249   180.042
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.410   180.000
    51.249   180.042
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.290   178.717
    51.290   178.715
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.193   178.786
    51.129   178.758
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.290   178.715
    51.129   178.758
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.323   178.690
    51.321   178.688
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.333   178.683
    51.160   178.731
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.321   178.688
    51.160   178.731
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.286   178.578
    51.284   178.577
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.253   178.576
    51.123   178.620
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.284   178.577
    51.123   178.620
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.295   178.637
    51.294   178.636
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.270   178.675
    51.133   178.679
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.294   178.636
    51.133   178.679
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.074   178.642
    51.074   178.641
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.060   178.601
    50.913   178.684
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.074   178.641
    50.913   178.684
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.088   178.520
    51.086   178.518
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.060   178.523
    50.925   178.561
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.086   178.518
    50.925   178.561
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.384   179.568
    51.382   179.564
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.395   179.565
    51.221   179.607
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.382   179.564
    51.221   179.607
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.334   179.133
    51.337   179.130
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.332   179.197
    51.176   179.173
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.337   179.130
    51.176   179.173
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.094   179.309
    51.098   179.311
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.081   179.373
    50.937   179.353
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.098   179.311
    50.937   179.353
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.462   179.246
    51.466   179.246
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.397   179.265
    51.305   179.289
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.466   179.246
    51.305   179.289
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.091   178.426
    51.095   178.425
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.056   178.486
    50.934   178.468
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.095   178.425
    50.934   178.468
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.237   178.761
    51.239   178.761
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.181   178.778
    51.077   178.803
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.239   178.761
    51.077   178.803
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.147   178.478
    51.145   178.477
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.090   178.541
    50.984   178.520
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.145   178.477
    50.984   178.520
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.597   179.158
    51.601   179.158
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.438   179.183
    51.440   179.201
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.601   179.158
    51.440   179.201
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.827   179.852
    51.828   179.841
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.819   179.869
    51.667   179.884
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.828   179.841
    51.667   179.884
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.028   178.521
    51.018   178.518
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.098   178.549
    50.857   178.561
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.018   178.518
    50.857   178.561
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.565   179.125
    51.569   179.124
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.417   179.182
    51.408   179.167
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.569   179.124
    51.408   179.167
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.636   179.066
    51.640   179.066
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.472   179.107
    51.479   179.109
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.640   179.066
    51.479   179.109
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.148   178.903
    51.148   178.902
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.112   178.913
    50.987   178.945
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.148   178.902
    50.987   178.945
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.114   178.876
    51.113   178.876
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.057   178.920
    50.952   178.919
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.113   178.876
    50.952   178.919
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.122   178.831
    51.114   178.834
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.104   178.823
    50.953   178.877
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.114   178.834
    50.953   178.877
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.565   179.440
    51.559   179.438
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.573   179.453
    51.398   179.481
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.559   179.438
    51.398   179.481
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.163   178.966
    51.161   178.966
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.055   179.000
    51.000   179.009
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.161   178.966
    51.000   179.009
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.311   179.039
    51.313   179.037
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.188   179.072
    51.152   179.080
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.313   179.037
    51.152   179.080
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.200   179.421
    51.199   179.422
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.104   179.456
    51.038   179.465
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.199   179.422
    51.038   179.465
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.214   179.412
    51.216   179.411
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.038   179.442
    51.055   179.454
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.216   179.411
    51.055   179.454
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.846   179.161
    50.842   179.161
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.756   179.196
    50.681   179.204
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    50.842   179.161
    50.681   179.204
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.165   179.550
    51.165   179.554
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.095   179.594
    51.004   179.596
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.165   179.554
    51.004   179.596
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.231   178.799
    51.232   178.800
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.206   178.823
    51.071   178.842
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.232   178.800
    51.071   178.842
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.242   178.976
    51.240   178.978
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.188   178.988
    51.079   179.021
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.240   178.978
    51.079   179.021
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.182   178.766
    51.184   178.765
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.130   178.740
    51.023   178.808
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.184   178.765
    51.023   178.808
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.260   179.053
    51.259   179.054
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.235   179.083
    51.098   179.096
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.259   179.054
    51.098   179.096
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.216   179.327
    51.220   179.330
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.177   179.321
    51.058   179.372
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.220   179.330
    51.058   179.372
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.205   179.313
    51.206   179.314
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.144   179.339
    51.045   179.357
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.206   179.314
    51.045   179.357
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.293   178.719
    51.294   178.719
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.179   178.759
    51.133   178.762
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.294   178.719
    51.133   178.762
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.299   179.197
    51.299   179.198
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.272   179.176
    51.138   179.241
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.299   179.198
    51.138   179.241
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.202   179.095
    51.198   179.093
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.261   179.155
    51.037   179.136
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.198   179.093
    51.037   179.136
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.380   179.733
    51.380   179.733
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.334   179.715
    51.219   179.776
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.380   179.733
    51.219   179.776
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.290   179.274
    51.290   179.274
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.269   179.260
    51.129   179.317
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.290   179.274
    51.129   179.317
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.246   178.706
    51.251   178.703
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.316   178.665
    51.090   178.745
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.251   178.703
    51.090   178.745
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.183   178.845
    51.183   178.845
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.136   178.844
    51.022   178.888
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.183   178.845
    51.022   178.888
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.201   178.833
    51.200   178.833
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.168   178.847
    51.039   178.876
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.200   178.833
    51.039   178.876
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.246   178.805
    51.245   178.805
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.135   178.884
    51.084   178.848
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.245   178.805
    51.084   178.848
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.168   178.725
    51.161   178.734
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.111   178.764
    51.000   178.777
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.161   178.734
    51.000   178.777
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.173   178.881
    51.171   178.879
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.150   178.910
    51.009   178.922
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.171   178.879
    51.009   178.922
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.191   178.896
    51.190   178.896
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.186   178.907
    51.029   178.939
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.190   178.896
    51.029   178.939
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.318   179.524
    51.319   179.526
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.275   179.526
    51.157   179.568
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.319   179.526
    51.157   179.568
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.384   179.387
    51.383   179.387
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.336   179.428
    51.222   179.430
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.383   179.387
    51.222   179.430
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.235   179.468
    51.234   179.470
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.204   179.479
    51.073   179.513
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.234   179.470
    51.073   179.513
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.269   179.452
    51.266   179.452
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.232   179.479
    51.105   179.495
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.266   179.452
    51.105   179.495
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.200   179.388
    51.201   179.388
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.170   179.409
    51.040   179.430
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.201   179.388
    51.040   179.430
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.300   179.527
    51.298   179.534
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.246   179.568
    51.137   179.577
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.298   179.534
    51.137   179.577
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.233   178.938
    51.232   178.939
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.159   178.985
    51.071   178.982
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.232   178.939
    51.071   178.982
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.253   178.824
    51.252   178.824
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.196   178.840
    51.091   178.867
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.252   178.824
    51.091   178.867
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.219   179.049
    51.219   179.051
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.174   179.027
    51.058   179.094
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.219   179.051
    51.058   179.094
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.141   178.944
    51.138   178.945
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.052   178.944
    50.977   178.988
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.138   178.945
    50.977   178.988
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.349   178.858
    51.350   178.858
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.307   178.848
    51.189   178.901
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.350   178.858
    51.189   178.901
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.214   179.522
    51.216   179.521
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.131   179.529
    51.055   179.564
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.216   179.521
    51.055   179.564
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.222   179.600
    51.220   179.600
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.205   179.589
    51.059   179.642
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.220   179.600
    51.059   179.642
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.350   178.724
    51.348   178.724
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.303   178.719
    51.187   178.767
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.348   178.724
    51.187   178.767
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.218   179.415
    51.218   179.416
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.182   179.410
    51.057   179.458
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.218   179.416
    51.057   179.458
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.267   179.395
    51.268   179.394
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.236   179.364
    51.107   179.437
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.268   179.394
    51.107   179.437
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.231   178.631
    51.230   178.630
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.142   178.646
    51.069   178.673
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.230   178.630
    51.069   178.673
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.088   178.857
    51.089   178.858
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.049   178.898
    50.928   178.900
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.089   178.858
    50.928   178.900
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.390   178.770
    51.387   178.769
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.290   178.748
    51.226   178.812
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.387   178.769
    51.226   178.812
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.314   179.551
    51.312   179.549
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.156   179.599
    51.151   179.592
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.312   179.549
    51.151   179.592
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.179   179.534
    51.179   179.537
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.137   179.581
    51.018   179.580
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.179   179.537
    51.018   179.580
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.288   179.437
    51.288   179.437
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.241   179.401
    51.127   179.480
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.288   179.437
    51.127   179.480
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.288   179.282
    51.287   179.284
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.214   179.276
    51.126   179.327
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.287   179.284
    51.126   179.327
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.168   178.773
    51.166   178.773
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.156   178.827
    51.005   178.816
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.166   178.773
    51.005   178.816
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.307   179.245
    51.305   179.244
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.251   179.235
    51.144   179.287
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.305   179.244
    51.144   179.287
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.121   178.320
    51.121   178.319
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.098   178.362
    50.960   178.362
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.121   178.319
    50.960   178.362
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.113   178.502
    51.110   178.503
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.053   178.529
    50.949   178.545
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.110   178.503
    50.949   178.545
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.123   178.477
    51.120   178.478
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.077   178.494
    50.959   178.520
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.120   178.478
    50.959   178.520
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    51.120   178.453
    51.121   178.453
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    51.083   178.469
    50.960   178.496
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    51.121   178.453
    50.960   178.496
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    51.438   179.183     0.200
    51.417   179.182     0.200
    51.472   179.107     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    51.438   179.183     0.000     1.000     1.000
    51.417   179.182     0.000     1.000     1.000
    51.472   179.107     0.000     1.000     1.000
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.438   179.183
    51.440   179.201
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.417   179.182
    51.408   179.167
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    51.472   179.107
    51.479   179.109
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    51.113   178.979   -77.822     2.093     3.582
    51.249   180.042     8.694     1.346     5.334
    51.129   178.758   -89.332     2.139     3.956
    51.160   178.731    89.454     3.218     5.019
    51.123   178.620    86.393     4.475     9.957
    51.133   178.679    84.951     3.306     9.553
    50.913   178.684   -89.481     6.469    12.675
    50.925   178.561    85.016     2.903     8.842
    51.221   179.607    83.062     3.976     5.393
    51.176   179.173    76.755     4.399     5.806
    50.937   179.353    88.598     2.828     7.266
    51.305   179.289    88.833     2.525     7.157
    50.934   178.468    88.207     2.830     7.392
    51.077   178.803    89.313     2.038     4.575
    50.984   178.520    86.815     3.395    10.499
    51.440   179.201   -73.072     3.011     3.819
    51.667   179.884   -89.793     3.997     5.961
    50.857   178.561    87.473     3.795     7.280
    51.408   179.167    83.062     2.520     3.297
    51.479   179.109   -85.047     2.579     3.279
    50.987   178.945    77.068     3.439     5.383
    50.952   178.919    79.135     4.128     7.719
    50.953   178.877    82.971     4.840     8.811
    51.398   179.481   -88.004     4.399     6.588
    51.000   179.009    89.142     2.955     7.254
    51.152   179.080    84.826     3.276     8.802
    51.038   179.465    87.691     2.817     6.090
    51.055   179.454    81.353     4.136     9.757
    50.681   179.204    89.817     1.955     4.042
    51.004   179.596    83.445     2.916     7.973
    51.071   178.842    86.429     2.164     3.778
    51.079   179.021   -86.237     1.933     5.123
    51.023   178.808    78.735     1.644     2.652
    51.098   179.096    82.725     2.677     6.527
    51.058   179.372   -84.234     1.662     4.108
    51.045   179.357    83.707     2.344     7.542
    51.133   178.762    82.583     2.468     6.924
    51.138   179.241    87.703     1.640     3.618
    51.037   179.136    87.977     3.210     8.463
    51.219   179.776   -88.656     1.863     3.323
    51.129   179.317    87.622     1.754     4.497
    51.090   178.745    79.331     1.553     3.095
    51.022   178.888    85.708     1.996     5.556
    51.039   178.876    85.818     1.814     4.950
    51.084   178.848    86.399     3.149     9.583
    51.000   178.777    85.981     2.362     6.345
    51.009   178.922   -88.162     3.465     7.048
    51.029   178.939   -87.699     3.207     8.634
    51.157   179.568    86.204     1.488     2.681
    51.222   179.430    78.393     4.343     6.987
    51.073   179.513    84.023     2.351     4.453
    51.105   179.495   -88.804     1.844     4.856
    51.040   179.430   -87.184     2.372     4.473
    51.137   179.577    88.859     4.414    11.137
    51.071   178.982    81.951     2.977     6.735
    51.091   178.867    88.317     1.360     2.966
    51.058   179.094    85.351     2.146     5.367
    50.977   178.988    87.202     2.309     7.632
    51.189   178.901    87.949     1.543     3.534
    51.055   179.564    89.230     1.814     5.056
    51.059   179.642    89.835     1.636     4.479
    51.187   178.767    86.540     2.457     6.796
    51.057   179.458    87.849     1.570     3.952
    51.107   179.437   -87.959     1.186     2.512
    51.069   178.673   -89.657     1.287     2.457
    50.928   178.900   -89.858     1.756     3.974
    51.226   178.812    88.966     1.896     5.279
    51.151   179.592    88.917     4.461     9.947
    51.018   179.580   -88.559     2.215     7.150
    51.127   179.480    88.244     1.177     2.336
    51.126   179.327   -85.273     1.273     3.057
    51.005   178.816    89.519     1.136     2.464
    51.144   179.287    89.633     1.244     3.518
    50.960   178.362    87.891     1.129     2.814
    50.949   178.545    87.776     1.042     2.654
    50.959   178.520    87.717     1.628     4.503
    50.960   178.496    88.367     1.496     4.221
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    50.635   178.304   -85.420     2.887     3.565
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    50.635   178.327   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    50.635   178.304     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    50.635   178.304     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    50.590   178.304   5 km
END
